<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FF183A=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pd@FF1830=09590200|(maincpu.pd@FF1830 BAND ~FFFFFF00)</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mw@00AC02</action>
      <action>temp1 =maincpu.mw@00C3AA</action>
      <action>temp2 =maincpu.mw@00CFFA</action>
      <action>temp3 =maincpu.mw@00D07C</action>
      <action>temp4 =maincpu.mb@00D472</action>
      <action>temp5 =maincpu.mb@00EA56</action>
    </script>
    <script state="run">
      <action>maincpu.mw@00AC02=7000</action>
      <action>maincpu.mw@00C3AA=7000</action> <!-- 1st = Fire, 2nd = Bomb. 0x7000 = move.q #$0,D0 -->
      <action>maincpu.mw@00CFFA=7000</action> <!-- Normal Enemy -->
      <action>maincpu.mw@00D07C=7000</action> <!-- Boss -->
      <action>maincpu.mb@00D472=60</action> <!-- Snake -->
      <action>maincpu.mb@00EA56=60</action> <!-- Electricity -->
    </script>
    <script state="off">
      <action>maincpu.mw@00AC02=temp0 </action>
      <action>maincpu.mw@00C3AA=temp1 </action>
      <action>maincpu.mw@00CFFA=temp2 </action>
      <action>maincpu.mw@00D07C=temp3 </action>
      <action>maincpu.mb@00D472=temp4 </action>
      <action>maincpu.mb@00EA56=temp5 </action>
    </script>
  </cheat>

  <cheat desc="Finish Current Stage Now!"> <comment>Assign to an activation key for the best effect</comment>
    <script state="on">
      <action>maincpu.pb@FF1835=63</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FF00F0=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FF0103=FC</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@FF0112=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL1">
    <script state="run">
      <action>maincpu.pb@FF0105=3F</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FF016C=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FF017F=FC</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@FF018E=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL2">
    <script state="run">
      <action>maincpu.pb@FF0181=3F</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
